Subject: Re: [mpls] Last Call on "LSP Ping"

From: George Swallow <[email-masked]>
Date: Mon, 25 Apr 2005 16:36:09 -0400

> This is one of the best written I-Ds for a long time!
> 
> A couple of nits.
> 
> Section 4.4
>    Note: in all the error codes listed in this draft a stack-depth of 0
>    means "no value specified".  This allows compatibility with existing
>    implementations which do not use the Return Subcode field.
> s/draft/document/

Thanks.

> Section 7
> There are several specific codepoints defined in the draft and marked as
> "to be defined by IANA". These are specific values within the new name
> spaces defined in section 7. I think it would help IANA if you listed all
> of the defined values in a central place (perhaps with references to the
> defining sections).

Good idea.  Will include.

> Appendix A.
> I'm sure this one has been out and round the block several times.
> Notwithstanding that the appendix is non-normative, why is it included? I
> thought we were doing no new work (apart from drafts listed in RFC3468)
> related to CR-LDP.

Is there anyone who objects to removing Appendix A?

> Section 3.5
> The Error Code TLV
> I think no-one came up with a use for this. Since we try not to define
> things unless we have an actual use, perhaps this TLV should be retired.

I'll leave it to Kireeti to defend as I also suggested taking it out.

> And a silly question.
> 
> Suppose I have an RSVP-TE LSP that starts on an IPv6 LSR and ends on an
> IPv4 LSR (or vice versa).
> So I have an IPv6 Sender Template and IPv4 Session (or vice versa).
> How do I encode the Target FEC Stack?
> Or perhaps this is just an unrealistic deployment?

Hmmm.  Good luck getting a notify message back!  Not something I was
planning to support.  

========================================================================
George Swallow             Cisco Systems                  (978) 936-1398
                           1414 Massachusetts Avenue
                           Boxborough, MA 01719

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 26 Apr 2005 09:26:35 -0700 (PDT)

Thanks.

> > Section 7
> > There are several specific codepoints defined in the draft and
> > marked as "to be defined by IANA". These are specific values
> > within the new name spaces defined in section 7. I think it would
> > help IANA if you listed all of the defined values in a central
> > place (perhaps with references to the defining sections).
>
> Good idea.  Will include.

Concur.  Should also make sure that there are allocation policies for
all the code point spaces (e.g., fields in Downstream Mapping TLV).

> Is there anyone who objects to removing Appendix A?

Not me.

> I'll leave it to Kireeti to defend as I also suggested taking it out.

Take it out.

> Hmmm.  Good luck getting a notify message back!  Not something I was

When there is an actual deployment of this, we'll re-evaluate whether
we need N*M RSVP-TE TLVs (N sender templates * M sessions) or N+M TLVs
that the ping-er can mix-and-match.  The two TLVs for IPv4+IPv4 and
IPv6+IPv6 should cover 99.314% of the cases, so we'll leave those
unperturbed.

We can re-evaluate this sooner, when we get to the point where we're
discussing the nuts-and-bolts of the p2mp RSVP-TE ping TLVs.

Kireeti.
-------